gnutls_certificate_type_get2(3)

NAME
gnutls_certificate_type_get2 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_certificate_type_t gnutls_certificate_type_get2(gnutls_session_t session, gnutls_ctype_target_t target);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

gnutls_ctype_target_t target
    is a gnutls_ctype_target_t type.

DESCRIPTION
This function returns the type of the certificate that a side is negotiated to use. The certificate type is by default X.509, unless an alternative certificate type is enabled by gnutls_init() and negotiated during the session.

The target parameter specifies whether to request the negotiated certificate type for the client (GNUTLS_CTYPE_CLIENT), or for the server (GNUTLS_CTYPE_SERVER). Additionally, in P2P mode connection set up where you don't know in advance who will be client and who will be server you can use the flag (GNUTLS_CTYPE_OURS) and (GNUTLS_CTYPE_PEERS) to retrieve the corresponding certificate types.

Resumed sessions will return the certificate type that was negotiated and used in the original session. That is, this function can be used to reliably determine the type of the certificate returned by gnutls_certificate_get_peers().

RETURNS
the currently used gnutls_certificate_type_t certificate type for the client or the server.

SINCE
3.6.4

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/